From bb36d302d2c6cdfb4fee97da4e3e889535c632c2 Mon Sep 17 00:00:00 2001
From: kiasoc5 <kiasoc5@disroot.org>
Date: Sat, 4 Jun 2022 14:20:35 -0400
Subject: [PATCH 2/3] gnu: Add emacs-tomelr.

* gnu/packages/emacs-xyz.scm (emacs-tomelr): New variable.
---
 gnu/packages/emacs-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index c5aa3580f5..3736f878de 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -31324,3 +31324,25 @@ (define-public emacs-seq
 subr.el. All provided functions are prefixed with \"seq-\" and work on lists,
 strings and vectors.")
    (license license:gpl3+)))
+
+(define-public emacs-tomelr
+ (package
+  (name "emacs-tomelr")
+  (version "0.4.3")
+  (source
+    (origin
+      (method git-fetch)
+      (uri (git-reference
+            (url "https://github.com/kaushalmodi/tomelr/")
+            (commit (string-append "v" version))))
+      (sha256
+       (base32 "03iih7arjlfg8gdp4v2xglas9z519q1s11l28igr8l0m5y0pdrnk"))
+      (file-name (git-file-name name version))))
+  (build-system emacs-build-system)
+  (propagated-inputs (list emacs-map emacs-seq))
+  (home-page "https://github.com/kaushalmodi/tomelr/")
+  (synopsis "Emacs-Lisp library for converting S-expressions to TOML")
+  (description
+"This package provides the @{tomelr-encode} function to convert a Lisp data
+expression in Alist or Plist format to a TOML string.")
+  (license license:gpl3+)))
-- 
2.36.1

